JdkLogChute (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.JdkLogChute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class JdkLogChute

    java.lang.Object
      org.apache.velocity.runtime.log.JdkLogChute

All Implemented Interfaces:
  LogChute

public class JdkLogChute
extends Object
implements LogChute

Implementation of a simple java.util.logging LogChute.

Since:
  1.5
Version:
  $Id: JdkLogChute.java 703541 2008-10-10 18:09:42Z nbubna $
Author:

  Field Summary
  `static String` | `DEFAULT_LOG_NAME` Default name for the JDK logger instance
  `protected Logger` | `logger`
  `static String` | `RUNTIME_LOG_JDK_LOGGER` Property key for specifying the name for the logger instance
  `static String` | `RUNTIME_LOG_JDK_LOGGER_LEVEL`

  Fields inherited from interface org.apache.velocity.runtime.log.LogChute
  `DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

  Constructor Summary
  `JdkLogChute()`

  Method Summary
  `protected Level` | `getJdkLevel(int level)` Returns the java.util.logging.Level that matches to the specified LogChute level.
  `void` | `init(RuntimeServices rs)` Initializes this LogChute.
  `boolean` | `isLevelEnabled(int level)` Tell whether or not a log level is enabled.
  `void` | `log(int level, String message)` Logs messages
  `void` | `log(int level, String message, Throwable t)` Send a log message from Velocity along with an exception or error

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### RUNTIME_LOG_JDK_LOGGER

      public static final String RUNTIME_LOG_JDK_LOGGER

    Property key for specifying the name for the logger instance

    See Also:
      Constant Field Values

  ### RUNTIME_LOG_JDK_LOGGER_LEVEL

      public static final String RUNTIME_LOG_JDK_LOGGER_LEVEL

  See Also:
    Constant Field Values

  ### DEFAULT_LOG_NAME

      public static final String DEFAULT_LOG_NAME

    Default name for the JDK logger instance

    See Also:
      Constant Field Values

  ### logger

      protected Logger logger

  Constructor Detail

  ### JdkLogChute

      public JdkLogChute()

  Method Detail

  ### init

      public void init(RuntimeServices rs)

    Description copied from interface: `LogChute`
    Initializes this LogChute.

    Specified by:
      `init` in interface `LogChute`
    Parameters:
      `rs` -
    See Also:
      `LogChute.init(org.apache.velocity.runtime.RuntimeServices)`

  ### getJdkLevel

      protected Level getJdkLevel(int level)

    Returns the java.util.logging.Level that matches to the specified LogChute level.

    Parameters:
      `level` -
    Returns:
      The current log level of the JDK Logger.

  ### log

      public void log(int level,
                      String message)

    Logs messages

    Specified by:
      `log` in interface `LogChute`
    Parameters:
      `level` - severity level
      `message` - complete error message

  ### log

      public void log(int level,
                      String message,
                      Throwable t)

    Send a log message from Velocity along with an exception or error

    Specified by:
      `log` in interface `LogChute`
    Parameters:
      `level` -
      `message` -
      `t` -

  ### isLevelEnabled

      public boolean isLevelEnabled(int level)

    Description copied from interface: `LogChute`
    Tell whether or not a log level is enabled.

    Specified by:
      `isLevelEnabled` in interface `LogChute`
    Parameters:
      `level` -
    Returns:
      True if a level is enabled.
    See Also:
      `LogChute.isLevelEnabled(int)`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.